Imports System
Imports System.ComponentModel
Imports System.Diagnostics
Imports System.Xml.Serialization




Public Class EntitySupport
    <Serializable()> _
    Public Class AddDocumentCommentsRequest
        Inherits ProviderRequests
        Implements IProviderParameters

        Private _DocumentID As Integer
        Private _Helpful As Boolean
        Private _Rating As Integer
        Private _Comments As String
        Private _CreatedBy As String

        Public Property DocumentID() As Integer
            Get
                Return Me._DocumentID
            End Get
            Set(ByVal value As Integer)
                Me._DocumentID = value
            End Set
        End Property
        Public Property Helpful() As Boolean
            Get
                Return Me._Helpful
            End Get
            Set(ByVal value As Boolean)
                Me._Helpful = value
            End Set
        End Property
        Public Property Rating() As Integer
            Get
                Return Me._Rating
            End Get
            Set(ByVal value As Integer)
                Me._Rating = value
            End Set
        End Property
        Public Property Comments() As String
            Get
                Return Me._Comments
            End Get
            Set(ByVal value As String)
                Me._Comments = value
            End Set
        End Property
        Public Property CreatedBy() As String
            Get
                Return Me._CreatedBy
            End Get
            Set(ByVal value As String)
                Me._CreatedBy = value
            End Set
        End Property
    End Class


    <Serializable()> _
    Public Class HTMLDocument
        Inherits ProviderRequests
        Implements IProviderParameters

        Private _HTML As String
        Private _ID As Integer
        Private _KeyWords As String
        Private _Summary As String
        Private _Title As String

        Public Property HTML() As String
            Get
                Return _HTML
            End Get
            Set(ByVal value As String)
                _HTML = value
            End Set
        End Property
        Public Property ID() As Integer
            Get
                Return _ID
            End Get
            Set(ByVal value As Integer)
                _ID = value
            End Set
        End Property
        Public Property KeyWords() As String
            Get
                Return _KeyWords
            End Get
            Set(ByVal value As String)
                _KeyWords = value
            End Set
        End Property
        Public Property Summary() As String
            Get
                Return _Summary
            End Get
            Set(ByVal value As String)
                _Summary = value
            End Set
        End Property
        Public Property Title() As String
            Get
                Return _Title
            End Get
            Set(ByVal value As String)
                _Title = value
            End Set
        End Property
    End Class

    <Serializable()> _
    Public Class DocumentFolder
        Inherits ProviderRequests
        Implements IProviderParameters

        Private _ID As Integer
        Private _NumberOfChildren As Integer
        Private _Name As String
        Private _ParentFolderID As Integer

        Public Property ID() As Integer
            Get
                Return _ID
            End Get
            Set(ByVal value As Integer)
                _ID = value
            End Set

        End Property
        Public Property NumberOfChildren() As Integer
            Get
                Return _NumberOfChildren
            End Get
            Set(ByVal value As Integer)
                _NumberOfChildren = value
            End Set

        End Property
        Public Property Name() As String
            Get
                Return _Name
            End Get
            Set(ByVal value As String)
                _Name = value
            End Set
        End Property
        Public Property ParentFolderID() As Integer
            Get
                Return _ParentFolderID
            End Get
            Set(ByVal value As Integer)
                _ParentFolderID = value
            End Set

        End Property
    End Class




    <Serializable()> _
    Public Class GetRelatedDocumentsResponse
        Implements IProviderResults

        Private _Result As ArrayList

        Public Property Result() As ArrayList
            Get
                Return Me._Result
            End Get
            Set(ByVal value As ArrayList)
                Me._Result = value
            End Set
        End Property

    End Class

End Class
